module Debate.Arguments.Inferences.EthicalSlurs exposing (..)

import Debate.Arguments.Types exposing (..)


argumentEthicalSlurs : Argument
argumentEthicalSlurs =
    { argumentTitle = "Argument for Using the Term Retard"
    , propositionTitle = "It is generally permissible to use the term retard with an altered non-bigoted meaning."
    , propositionReductio = ""
    , propositionSummary = "The only historical examples of bigoted terms, such as slurs, becoming non-harmful to the demographics toward which they were historically targeted involve literally changing the usage of the term to something non-bigoted. I don’t see any historical precedent for a methodology that has been as successful in achieving this goal as altering the term's usage. Such as using the term \"nigga\" to mean \"friend\", for example."
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~4Qx)),(~6x(~3Px~5Rx)),(~3Pr),(~3Qr~1Rr~5Sr),(Sr~5Wr)|=(Wr)"
    , argumentCertainty = 7
    , argumentImage = "ethicalslurs"
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x)'s negative connotations have been neutralised"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) has been rendered non-bigoted via altered usage"
          }
        , { definiendum = "R(x)"
          , definiens = "oppressed people will continue to suffer from the use of (x)"
          }
        , { definiendum = "S(x)"
          , definiens = "it is permissible to neutralise the term retard's negative connotations"
          }
        , { definiendum = "W(x)"
          , definiens = "it is generally permissible to use the term retard with an altered non-bigoted meaning"
          }
        , { definiendum = "x"
          , definiens = "a slur"
          }
        , { definiendum = "r"
          , definiens = "retard"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all slurs, a slur's negative connotations have been neutralised if, and only if, slur has been rendered non-bigoted via altered usage."
                  , notation = "∀x(Px↔Qx)"
                  }
                , { premise = "For all slurs, if it is not the case that slur's negative connotations have been neutralised, then oppressed people will continue to suffer from the use of slur."
                  , notation = "∀x(¬Px→Rx)"
                  }
                , { premise = "It is not the case that the term retard's negative connotations have been neutralised."
                  , notation = "¬Pr"
                  }
                , { premise = "If the term retard has not been rendered non-bigoted via altered usage and oppressed people will continue to suffer from the use of the term retard, then it is permissible to neutralise the term retard's negative connotations."
                  , notation = "¬Qr∧Rr→Sr"
                  }
                , { premise = "If it is permissible to neutralise the term retard's negative connotations, then It is generally permissible to use the term retard with an altered non-bigoted meaning."
                  , notation = "Sr→Wr"
                  }
                ]
          , conclusion = "Therefore, it is generally permissible to use the term retard with an altered non-bigoted meaning."
          , conclusionNotation = "Wr"
          }
        ]
    }
