module Debate.Gibberish.Domains.PhilOfMind exposing (..)

import Debate.Gibberish.Types exposing (..)


philOfMindGibberish : Gibberish
philOfMindGibberish =
    let
        name =
            "Philosophy of Mind"
    in
    { gibberishTitle = name
    , gibberishImage = formatName name
    , gibberishTerms =
        [ { term = "Epiphenomenalism"
          , strength = 5
          , explanation = NoClue
          }
        , { term = "Mind-Heart Connection"
          , strength = 5
          , explanation = NoClue
          }
        , { term = "Parallelism"
          , strength = 5
          , explanation = NoClue
          }
        , { term = "Pre-Established Harmony"
          , strength = 5
          , explanation = NoClue
          }
        , { term = "Private Language"
          , strength = 5
          , explanation = SpecificExplanation "This seems to be taken to be describing terms that, ostensibly, refer only to internal mind-states and for which there supposedly \"can't\" be some sort of external reference upon which to base mutual understanding between agents. Supposedly, this renders such terms unintelligible to everyone else. Cool story. What in the world is meant by \"can't\", though?"
          }
        ]
    }
